unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ActnList, Menus, StdCtrls, ComCtrls, jpeg, ExtCtrls, StdActns,
  ExtActns, DBActns;

type
  TForm1 = class(TForm)
    Label2: TLabel;
    Label1: TLabel;
    Image1: TImage;
    ActionList1: TActionList;
    RichEdit1: TRichEdit;
    MainMenu1: TMainMenu;
    Arquivo1: TMenuItem;
    Editar1: TMenuItem;
    EditCut1: TEditCut;
    EditCopy1: TEditCopy;
    EditPaste1: TEditPaste;
    EditSelectAll1: TEditSelectAll;
    EditUndo1: TEditUndo;
    EditDelete1: TEditDelete;
    FileOpen1: TFileOpen;
    FileOpenWith1: TFileOpenWith;
    FileSaveAs1: TFileSaveAs;
    FilePrintSetup1: TFilePrintSetup;
    FilePageSetup1: TFilePageSetup;
    FileRun1: TFileRun;
    FileExit1: TFileExit;
    Abrir1: TMenuItem;
    SalvarComo1: TMenuItem;
    ConfigurarImpresso1: TMenuItem;
    N1: TMenuItem;
    Sair1: TMenuItem;
    Recortar1: TMenuItem;
    Copiar1: TMenuItem;
    Colar1: TMenuItem;
    Desfazer1: TMenuItem;
    SelecionarTudo1: TMenuItem;
    RichEditBold1: TRichEditBold;
    RichEditItalic1: TRichEditItalic;
    RichEditUnderline1: TRichEditUnderline;
    RichEditStrikeOut1: TRichEditStrikeOut;
    RichEditBullets1: TRichEditBullets;
    RichEditAlignLeft1: TRichEditAlignLeft;
    RichEditAlignRight1: TRichEditAlignRight;
    RichEditAlignCenter1: TRichEditAlignCenter;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Formatao1: TMenuItem;
    a1: TMenuItem;
    c1: TMenuItem;
    d1: TMenuItem;
    d2: TMenuItem;
    d3: TMenuItem;
    d4: TMenuItem;
    d5: TMenuItem;
    DataSetFirst1: TDataSetFirst;
    DataSetLast1: TDataSetLast;
    DataSetInsert1: TDataSetInsert;
    DataSetDelete1: TDataSetDelete;
    DataSetEdit1: TDataSetEdit;
    DataSetPost1: TDataSetPost;
    DataSetCancel1: TDataSetCancel;
    procedure FileOpen1Accept(Sender: TObject);
    procedure Button7Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Unit2;

{$R *.dfm}

procedure TForm1.FileOpen1Accept(Sender: TObject);
begin
	richedit1.Lines.LoadFromFile(fileopen1.Dialog.FileName);
end;

procedure TForm1.Button7Click(Sender: TObject);
begin
	form2.showmodal;
end;

end.
